SWFAction_compile(3)

NAME
SWFAction_compile - Compiles the current script stored in this SWFAction instance.

SYNOPSIS
#include <ming.h>

int SWFAction_compile
(
    SWFAction action,
    int swfVersion,
    int *length
);

PARAMETERS

SWFAction action
    Not Documented.

int swfVersion
    Target SWF version.

int *length
    Output length.

DESCRIPTION
Compiles the current script stored in this SWFAction instance.

RETURNS
0 on success, -1 otherwise. The length of the compiled bytecode is storen in the length pointer (if not NULL).